[freetds] PHP 4.3.7 and freetds

Michael Robbins mdrobbins at mdrnetworks.com
Thu Jul 1 16:23:37 EDT 2004


I can't seem to compile PHP 4.3.7 with freetds 0.62.1 or 0.62.4.  I receive
the following messages during compilation:
 
In file included from /root/php-4.3.7/ext/mssql/php_mssql.c:33:
/root/php-4.3.7/ext/mssql/php_mssql.h:41: redefinition of `SHORT'
/usr/local/freetds/include/sybdb.h:117: `SHORT' previously declared here
make: *** [ext/mssql/php_mssql.lo] Error 1
 
PHP 4.3.4 compiles with no errors.  This is on RHEL3 ES with no PHP rpms
installed.
 
Sorry if this has been asked and answered, but I tried searching the
archives, but searching for '4.3.7' tried to search for '437'.
 
Thanks in advance for any help.
 
Mikey
 



More information about the FreeTDS mailing list